# Rerun reports for all tenants for specified dates Returns a JSON array of rerun report metadata Endpoint: PUT /internal/reports/all Security: Bearer ## Query parameters: - `use-caspian` (boolean) Use Caspian flag to use Caspian to generate updated report ## Request fields (*/*): - `startDate` (string, required) Start date for requested reports. Example: "2018-04-06T19:33:35Z" - `endDate` (string, required) End date for requested reports. Example: "2018-04-06T20:33:35Z" ## Response 200 fields (application/json): - `reports` (array, required) - `reports.reportId` (string, required) Unique identifier for a report. Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08" - `reports.reportName` (string) User defined name of the report. Example: "My custom report" - `reports.reportType` (string, required) The report type of the downloadable report. Enum: "PAYMENT_OPS", "RECON", "FAILURE_CONVERSION_SSA" - `reports.reportFormat` (string, required) The report format of the downloadable report. Enum: "CSV", "JSON" - `reports.reportStatus` (string, required) The status of the report. Enum: "PENDING", "READY", "FAILED", "EMPTY" - `reports.startDate` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) start date (inclusive) of the report. Example: "2018-04-06T19:33:35Z" - `reports.endDate` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) end date (inclusive) of the report. Note: Must be after startDate, but no more than 90 days after. Example: "2018-04-06T20:33:35Z" - `reports.createdOn` (string) Report creation time Example: "2018-04-06T20:33:35Z" ## Response 400 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 403 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 404 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-odl/api-docs/report_service/reference/#error/RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z"